Ad

Fail (backjumping, Conflict Set: Cardano-crypto-class)

- 1 answer

I am trying to install cardano-node to my MacOS by this article.

After cabal build all command I got:

➜  cardano-node git:(4c5944295) cabal build all
Warning: Requested index-state 2021-04-30T00:00:00Z is newer than
'hackage.haskell.org'! Falling back to older state (2021-04-29T23:07:55Z).
Resolving dependencies...
cabal: Could not resolve dependencies:
[__0] next goal: cardano-crypto-class (user goal)
[__0] rejecting: cardano-crypto-class-2.0.0 (conflict: pkg-config package
libsodium-any, not found in the pkg-config database)
[__0] fail (backjumping, conflict set: cardano-crypto-class)
After searching the rest of the dependency tree exhaustively, these were the
goals I've had most trouble fulfilling: cardano-crypto-class
Ad

Answer

This is the important part:

conflict: pkg-config package libsodium-any, not found in the pkg-config database

You need to install libsodium.

I think the cabal configure --with-compiler=ghc-8.10.4 step should have failed with the same error. Maybe you missed it: https://developers.cardano.org/docs/get-started/installing-cardano-node/#configuring-the-build-options. And maybe you also need to retry the "downloading & compiling" steps: https://developers.cardano.org/docs/get-started/installing-cardano-node/#downloading--compiling.

Ad
source: stackoverflow.com
Ad